/*
  Blink built-in LED and an external LED on Pin 5 for Arduino Mega2560

  BE SURE TO USE SKETCH | EXPORT BINARY after each build/upload
  so updates can be loaded into SimulIDE.
  
//modified Ron Kessler
1/4/2023

You will notice a slight rate in blinking because the digitalWrite
commands take a few microseconds to run. If you really wanted the
LEDs to be synchronized, you could set the bits in the CPU
registers directly.

*/

//---in the simulator I added a Yellow LED to pin 5
const int SecondLED = 11;
const int OnboardLED = 13;

void setup() {
    
  pinMode(OnboardLED, OUTPUT);
  pinMode(SecondLED, OUTPUT);
}

// the loop function runs over and over again forever
void loop() {
  digitalWrite(OnboardLED, HIGH);   // turn the LED on (HIGH is the voltage level)
  digitalWrite(SecondLED, HIGH);   // turn the LED on (HIGH is the voltage level)
  
  delay(500);                       // wait for a second
  
  digitalWrite(OnboardLED, LOW);    // turn the LED off by making the voltage LOW
  digitalWrite(SecondLED, LOW);   // turn the LED on (HIGH is the voltage level)
  
  delay(500);                       // wait for a second
}
